const suite = require('../lib/testingey').createSuite('adder'),
      assert = require('assert');

var calc = {
  add: function (a, b) {
    return a + b;
  },
  subtract: function (a, b) {
    return b - a;
  }
};

suite.setUp(function () {
  console.log('Starting up tests...');
});

suite.tearDown(function () {
  console.log('Cleaning up...');
});

suite.spec('Testing addition', function () {
  assert.equal(calc.add(1, 2), 3);
});

suite.spec('Testing subtraction', function () {
  assert.equal(calc.subtract(1, 3), 2);
});

suite.spec('Testing failure case', function () {
  assert.equal(calc.add(1, 1), 5);
});

suite.run();
